import java.util.Vector;
import java.util.Random;

enum barva { bPrazna, bJaz, bNasprotnik }

public class Igralec {
    public static String Ime = "JavaIgralec";

    private Random rnd;

    public Igralec() {
        rnd = new Random();
    }

    public void ZbudiSe(int sirina, int visina, boolean zacnem) {
        // Tu dodaj svojo implementacijo
        System.out.println("Igram na " + sirina + "x" + visina + " polju, " + (zacnem?"":"ne ") + "zacnem.");
    }

    public int KamGres(Polje igralno_polje, int prejsnja_poteza) {
        // Tu dodaj svojo implementacijo;
        // Ta primer izpise polje in izbere nakljucno veljavno potezo
        // Funkcija naj vrne stevilko stolpca, v katerega zelis dodati svoj zeton
        // Stolpci so ostevilceni od 0 do sirina()-1
        igralno_polje.izpisi();
        Vector<Integer> prosti = new Vector<Integer>();
        for (int i=0;i<igralno_polje.sirina();i++) {
            if (igralno_polje.p(i,igralno_polje.visina()-1) == barva.bPrazna) prosti.add(i);
        }
        return prosti.elementAt(rnd.nextInt(prosti.size()));
    }

    public void KonecIgre(int razlog) {
        // Tu dodaj svojo implementacijo
        System.out.println("Konec igre, razlog = " + razlog);
    }
}
